package com.doc.system.websocket.entity;

import com.doc.system.common.CommitAction.CommitAction;

import java.util.List;

public class DocPushContext {
    public Integer successCount;
    public Integer failCount;
    public Integer totalCount;
    public List<CommitAction> actionList;
    public boolean isSubAction = false;
    public CommitAction action;
    public String revision;
    public long retrySleepTime = 180000L;
    public int threadCount = 0;
    public int maxThreadCount = 1;
    public String msgInfo;
    public String dirPath;
    public Long batchStartTime;
    public Integer isEnd;
    public Object synclock;

    public DocPushContext() {
    }

    public void setError(String errmsg) {
        if (this.msgInfo == null) {
            this.msgInfo = errmsg;
        } else {
            if (errmsg != null && errmsg.length() < 10000) {
                this.msgInfo = errmsg + "\n" + this.msgInfo;
            }

        }
    }
}
